org.apache.poi.sl.usermodel

## Enum PresetColor

- java.lang.Object
- - java.lang.Enum<PresetColor>
  - - org.apache.poi.sl.usermodel.PresetColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PresetColor>

      public enum PresetColor
      extends java.lang.Enum<PresetColor>

  Preset colors defined in DrawingML aka known/system colors
  See Also:
    KnownColor Enumeration, Colors Class

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ActiveBorder` The system-defined color of the active window's border.
    `ActiveCaption` The system-defined color of the background of the active window's title bar.
    `ActiveCaptionText` The system-defined color of the text in the active window's title bar.
    `AliceBlue`
    `AntiqueWhite`
    `AppWorkspace` The application workspace is the area in a multiple-document view that is not being occupied by documents.
    `Aqua`
    `Aquamarine`
    `Azure`
    `Beige`
    `Bisque`
    `Black`
    `BlanchedAlmond`
    `Blue`
    `BlueViolet`
    `Brown`
    `BurlyWood`
    `ButtonFace` The system-defined face color of a 3-D element.
    `ButtonHighlight` The system-defined color that is the highlight color of a 3-D element.
    `ButtonShadow` The system-defined color that is the shadow color of a 3-D element.
    `CadetBlue`
    `Chartreuse`
    `Chocolate`
    `Control` The system-defined face color of a 3-D element.
    `ControlDark` The system-defined shadow color of a 3-D element.
    `ControlDarkDark` The system-defined color that is the dark shadow color of a 3-D element.
    `ControlLight` The system-defined color that is the light color of a 3-D element.
    `ControlLightLight` The system-defined highlight color of a 3-D element.
    `ControlText` The system-defined color of text in a 3-D element.
    `Coral`
    `CornflowerBlue`
    `Cornsilk`
    `Crimson`
    `Cyan`
    `DarkBlue`
    `DarkCyan`
    `DarkGoldenrod`
    `DarkGray`
    `DarkGreen`
    `DarkKhaki`
    `DarkMagenta`
    `DarkOliveGreen`
    `DarkOrange`
    `DarkOrchid`
    `DarkRed`
    `DarkSalmon`
    `DarkSeaGreen`
    `DarkSlateBlue`
    `DarkSlateGray`
    `DarkTurquoise`
    `DarkViolet`
    `DeepPink`
    `DeepSkyBlue`
    `Desktop` The system-defined color of the desktop.
    `DimGray`
    `DodgerBlue`
    `Firebrick`
    `FloralWhite`
    `ForestGreen`
    `Fuchsia`
    `Gainsboro`
    `GhostWhite`
    `Gold`
    `Goldenrod`
    `GradientActiveCaption` The system-defined color of the lightest color in the color gradient of an active window's title bar.
    `GradientInactiveCaption` The system-defined color of the lightest color in the color gradient of an inactive window's title bar.
    `Gray`
    `GrayText` The system-defined color of dimmed text.
    `Green`
    `GreenYellow`
    `Highlight` The system-defined color of the background of selected items.
    `HighlightText` The system-defined color of the text of selected items.
    `Honeydew`
    `HotPink`
    `HotTrack` The system-defined color used to designate a hot-tracked item.
    `InactiveBorder` The system-defined color of an inactive window's border.
    `InactiveCaption` The system-defined color of the background of an inactive window's title bar.
    `InactiveCaptionText` The system-defined color of the text in an inactive window's title bar.
    `IndianRed`
    `Indigo`
    `Info` The system-defined color of the background of a ToolTip.
    `InfoText` The system-defined color of the text of a ToolTip.
    `Ivory`
    `Khaki`
    `Lavender`
    `LavenderBlush`
    `LawnGreen`
    `LemonChiffon`
    `LightBlue`
    `LightCoral`
    `LightCyan`
    `LightGoldenrodYellow`
    `LightGray`
    `LightGreen`
    `LightPink`
    `LightSalmon`
    `LightSeaGreen`
    `LightSkyBlue`
    `LightSlateGray`
    `LightSteelBlue`
    `LightYellow`
    `Lime`
    `LimeGreen`
    `Linen`
    `Magenta`
    `Maroon`
    `MediumAquamarine`
    `MediumBlue`
    `MediumOrchid`
    `MediumPurple`
    `MediumSeaGreen`
    `MediumSlateBlue`
    `MediumSpringGreen`
    `MediumTurquoise`
    `MediumVioletRed`
    `Menu` The system-defined color of a menu's background.
    `MenuBar` The system-defined color of the background of a menu bar.
    `MenuHighlight` The system-defined color used to highlight menu items when the menu appears as a flat menu.
    `MenuText` The system-defined color of a menu's text.
    `MidnightBlue`
    `MintCream`
    `MistyRose`
    `Moccasin`
    `NavajoWhite`
    `Navy`
    `OldLace`
    `Olive`
    `OliveDrab`
    `Orange`
    `OrangeRed`
    `Orchid`
    `PaleGoldenrod`
    `PaleGreen`
    `PaleTurquoise`
    `PaleVioletRed`
    `PapayaWhip`
    `PeachPuff`
    `Peru`
    `Pink`
    `Plum`
    `PowderBlue`
    `Purple`
    `Red`
    `RosyBrown`
    `RoyalBlue`
    `SaddleBrown`
    `Salmon`
    `SandyBrown`
    `ScrollBar` The system-defined color of the background of a scroll bar.
    `SeaGreen`
    `SeaShell`
    `Sienna`
    `Silver`
    `SkyBlue`
    `SlateBlue`
    `SlateGray`
    `Snow`
    `SpringGreen`
    `SteelBlue`
    `Tan`
    `Teal`
    `Thistle`
    `Tomato`
    `Transparent`
    `Turquoise`
    `Violet`
    `Wheat`
    `White`
    `WhiteSmoke`
    `Window` The system-defined color of the background in the client area of a window.
    `WindowFrame` The system-defined color of a window frame.
    `WindowText` The system-defined color of the text in the client area of a window.
    `Yellow`
    `YellowGreen`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `color`
    `int` | `nativeId`
    `java.lang.String` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PresetColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PresetColor` | `valueOfNativeId(int nativeId)`
    `static PresetColor` | `valueOfOoxmlId(java.lang.String ooxmlId)`
    `static PresetColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ActiveBorder

          public static final PresetColor ActiveBorder

      The system-defined color of the active window's border.

    - #### ActiveCaption

          public static final PresetColor ActiveCaption

      The system-defined color of the background of the active window's title bar.

    - #### ActiveCaptionText

          public static final PresetColor ActiveCaptionText

      The system-defined color of the text in the active window's title bar.

    - #### AppWorkspace

          public static final PresetColor AppWorkspace

      The application workspace is the area in a multiple-document view that is not being occupied by documents.

    - #### Control

          public static final PresetColor Control

      The system-defined face color of a 3-D element.

    - #### ControlDark

          public static final PresetColor ControlDark

      The system-defined shadow color of a 3-D element. The shadow color is applied to parts of a 3-D element that face away from the light source.

    - #### ControlDarkDark

          public static final PresetColor ControlDarkDark

      The system-defined color that is the dark shadow color of a 3-D element. The dark shadow color is applied to the parts of a 3-D element that are the darkest color.

    - #### ControlLight

          public static final PresetColor ControlLight

      The system-defined color that is the light color of a 3-D element. The light color is applied to parts of a 3-D element that face the light source.

    - #### ControlLightLight

          public static final PresetColor ControlLightLight

      The system-defined highlight color of a 3-D element. The highlight color is applied to the parts of a 3-D element that are the lightest color.

    - #### ControlText

          public static final PresetColor ControlText

      The system-defined color of text in a 3-D element.

    - #### Desktop

          public static final PresetColor Desktop

      The system-defined color of the desktop.

    - #### GrayText

          public static final PresetColor GrayText

      The system-defined color of dimmed text. Items in a list that are disabled are displayed in dimmed text.

    - #### Highlight

          public static final PresetColor Highlight

      The system-defined color of the background of selected items. This includes selected menu items as well as selected text.

    - #### HighlightText

          public static final PresetColor HighlightText

      The system-defined color of the text of selected items.

    - #### HotTrack

          public static final PresetColor HotTrack

      The system-defined color used to designate a hot-tracked item. Single-clicking a hot-tracked item executes the item.

    - #### InactiveBorder

          public static final PresetColor InactiveBorder

      The system-defined color of an inactive window's border.

    - #### InactiveCaption

          public static final PresetColor InactiveCaption

      The system-defined color of the background of an inactive window's title bar.

    - #### InactiveCaptionText

          public static final PresetColor InactiveCaptionText

      The system-defined color of the text in an inactive window's title bar.

    - #### Info

          public static final PresetColor Info

      The system-defined color of the background of a ToolTip.

    - #### InfoText

          public static final PresetColor InfoText

      The system-defined color of the text of a ToolTip.

    - #### Menu

          public static final PresetColor Menu

      The system-defined color of a menu's background.

    - #### MenuText

          public static final PresetColor MenuText

      The system-defined color of a menu's text.

    - #### ScrollBar

          public static final PresetColor ScrollBar

      The system-defined color of the background of a scroll bar.

    - #### Window

          public static final PresetColor Window

      The system-defined color of the background in the client area of a window.

    - #### WindowFrame

          public static final PresetColor WindowFrame

      The system-defined color of a window frame.

    - #### WindowText

          public static final PresetColor WindowText

      The system-defined color of the text in the client area of a window.

    - #### Transparent

          public static final PresetColor Transparent

    - #### AliceBlue

          public static final PresetColor AliceBlue

    - #### AntiqueWhite

          public static final PresetColor AntiqueWhite

    - #### Aqua

          public static final PresetColor Aqua

    - #### Aquamarine

          public static final PresetColor Aquamarine

    - #### Azure

          public static final PresetColor Azure

    - #### Beige

          public static final PresetColor Beige

    - #### Bisque

          public static final PresetColor Bisque

    - #### Black

          public static final PresetColor Black

    - #### BlanchedAlmond

          public static final PresetColor BlanchedAlmond

    - #### Blue

          public static final PresetColor Blue

    - #### BlueViolet

          public static final PresetColor BlueViolet

    - #### Brown

          public static final PresetColor Brown

    - #### BurlyWood

          public static final PresetColor BurlyWood

    - #### CadetBlue

          public static final PresetColor CadetBlue

    - #### Chartreuse

          public static final PresetColor Chartreuse

    - #### Chocolate

          public static final PresetColor Chocolate

    - #### Coral

          public static final PresetColor Coral

    - #### CornflowerBlue

          public static final PresetColor CornflowerBlue

    - #### Cornsilk

          public static final PresetColor Cornsilk

    - #### Crimson

          public static final PresetColor Crimson

    - #### Cyan

          public static final PresetColor Cyan

    - #### DarkBlue

          public static final PresetColor DarkBlue

    - #### DarkCyan

          public static final PresetColor DarkCyan

    - #### DarkGoldenrod

          public static final PresetColor DarkGoldenrod

    - #### DarkGray

          public static final PresetColor DarkGray

    - #### DarkGreen

          public static final PresetColor DarkGreen

    - #### DarkKhaki

          public static final PresetColor DarkKhaki

    - #### DarkMagenta

          public static final PresetColor DarkMagenta

    - #### DarkOliveGreen

          public static final PresetColor DarkOliveGreen

    - #### DarkOrange

          public static final PresetColor DarkOrange

    - #### DarkOrchid

          public static final PresetColor DarkOrchid

    - #### DarkRed

          public static final PresetColor DarkRed

    - #### DarkSalmon

          public static final PresetColor DarkSalmon

    - #### DarkSeaGreen

          public static final PresetColor DarkSeaGreen

    - #### DarkSlateBlue

          public static final PresetColor DarkSlateBlue

    - #### DarkSlateGray

          public static final PresetColor DarkSlateGray

    - #### DarkTurquoise

          public static final PresetColor DarkTurquoise

    - #### DarkViolet

          public static final PresetColor DarkViolet

    - #### DeepPink

          public static final PresetColor DeepPink

    - #### DeepSkyBlue

          public static final PresetColor DeepSkyBlue

    - #### DimGray

          public static final PresetColor DimGray

    - #### DodgerBlue

          public static final PresetColor DodgerBlue

    - #### Firebrick

          public static final PresetColor Firebrick

    - #### FloralWhite

          public static final PresetColor FloralWhite

    - #### ForestGreen

          public static final PresetColor ForestGreen

    - #### Fuchsia

          public static final PresetColor Fuchsia

    - #### Gainsboro

          public static final PresetColor Gainsboro

    - #### GhostWhite

          public static final PresetColor GhostWhite

    - #### Gold

          public static final PresetColor Gold

    - #### Goldenrod

          public static final PresetColor Goldenrod

    - #### Gray

          public static final PresetColor Gray

    - #### Green

          public static final PresetColor Green

    - #### GreenYellow

          public static final PresetColor GreenYellow

    - #### Honeydew

          public static final PresetColor Honeydew

    - #### HotPink

          public static final PresetColor HotPink

    - #### IndianRed

          public static final PresetColor IndianRed

    - #### Indigo

          public static final PresetColor Indigo

    - #### Ivory

          public static final PresetColor Ivory

    - #### Khaki

          public static final PresetColor Khaki

    - #### Lavender

          public static final PresetColor Lavender

    - #### LavenderBlush

          public static final PresetColor LavenderBlush

    - #### LawnGreen

          public static final PresetColor LawnGreen

    - #### LemonChiffon

          public static final PresetColor LemonChiffon

    - #### LightBlue

          public static final PresetColor LightBlue

    - #### LightCoral

          public static final PresetColor LightCoral

    - #### LightCyan

          public static final PresetColor LightCyan

    - #### LightGoldenrodYellow

          public static final PresetColor LightGoldenrodYellow

    - #### LightGray

          public static final PresetColor LightGray

    - #### LightGreen

          public static final PresetColor LightGreen

    - #### LightPink

          public static final PresetColor LightPink

    - #### LightSalmon

          public static final PresetColor LightSalmon

    - #### LightSeaGreen

          public static final PresetColor LightSeaGreen

    - #### LightSkyBlue

          public static final PresetColor LightSkyBlue

    - #### LightSlateGray

          public static final PresetColor LightSlateGray

    - #### LightSteelBlue

          public static final PresetColor LightSteelBlue

    - #### LightYellow

          public static final PresetColor LightYellow

    - #### Lime

          public static final PresetColor Lime

    - #### LimeGreen

          public static final PresetColor LimeGreen

    - #### Linen

          public static final PresetColor Linen

    - #### Magenta

          public static final PresetColor Magenta

    - #### Maroon

          public static final PresetColor Maroon

    - #### MediumAquamarine

          public static final PresetColor MediumAquamarine

    - #### MediumBlue

          public static final PresetColor MediumBlue

    - #### MediumOrchid

          public static final PresetColor MediumOrchid

    - #### MediumPurple

          public static final PresetColor MediumPurple

    - #### MediumSeaGreen

          public static final PresetColor MediumSeaGreen

    - #### MediumSlateBlue

          public static final PresetColor MediumSlateBlue

    - #### MediumSpringGreen

          public static final PresetColor MediumSpringGreen

    - #### MediumTurquoise

          public static final PresetColor MediumTurquoise

    - #### MediumVioletRed

          public static final PresetColor MediumVioletRed

    - #### MidnightBlue

          public static final PresetColor MidnightBlue

    - #### MintCream

          public static final PresetColor MintCream

    - #### MistyRose

          public static final PresetColor MistyRose

    - #### Moccasin

          public static final PresetColor Moccasin

    - #### NavajoWhite

          public static final PresetColor NavajoWhite

    - #### Navy

          public static final PresetColor Navy

    - #### OldLace

          public static final PresetColor OldLace

    - #### Olive

          public static final PresetColor Olive

    - #### OliveDrab

          public static final PresetColor OliveDrab

    - #### Orange

          public static final PresetColor Orange

    - #### OrangeRed

          public static final PresetColor OrangeRed

    - #### Orchid

          public static final PresetColor Orchid

    - #### PaleGoldenrod

          public static final PresetColor PaleGoldenrod

    - #### PaleGreen

          public static final PresetColor PaleGreen

    - #### PaleTurquoise

          public static final PresetColor PaleTurquoise

    - #### PaleVioletRed

          public static final PresetColor PaleVioletRed

    - #### PapayaWhip

          public static final PresetColor PapayaWhip

    - #### PeachPuff

          public static final PresetColor PeachPuff

    - #### Peru

          public static final PresetColor Peru

    - #### Pink

          public static final PresetColor Pink

    - #### Plum

          public static final PresetColor Plum

    - #### PowderBlue

          public static final PresetColor PowderBlue

    - #### Purple

          public static final PresetColor Purple

    - #### Red

          public static final PresetColor Red

    - #### RosyBrown

          public static final PresetColor RosyBrown

    - #### RoyalBlue

          public static final PresetColor RoyalBlue

    - #### SaddleBrown

          public static final PresetColor SaddleBrown

    - #### Salmon

          public static final PresetColor Salmon

    - #### SandyBrown

          public static final PresetColor SandyBrown

    - #### SeaGreen

          public static final PresetColor SeaGreen

    - #### SeaShell

          public static final PresetColor SeaShell

    - #### Sienna

          public static final PresetColor Sienna

    - #### Silver

          public static final PresetColor Silver

    - #### SkyBlue

          public static final PresetColor SkyBlue

    - #### SlateBlue

          public static final PresetColor SlateBlue

    - #### SlateGray

          public static final PresetColor SlateGray

    - #### Snow

          public static final PresetColor Snow

    - #### SpringGreen

          public static final PresetColor SpringGreen

    - #### SteelBlue

          public static final PresetColor SteelBlue

    - #### Tan

          public static final PresetColor Tan

    - #### Teal

          public static final PresetColor Teal

    - #### Thistle

          public static final PresetColor Thistle

    - #### Tomato

          public static final PresetColor Tomato

    - #### Turquoise

          public static final PresetColor Turquoise

    - #### Violet

          public static final PresetColor Violet

    - #### Wheat

          public static final PresetColor Wheat

    - #### White

          public static final PresetColor White

    - #### WhiteSmoke

          public static final PresetColor WhiteSmoke

    - #### Yellow

          public static final PresetColor Yellow

    - #### YellowGreen

          public static final PresetColor YellowGreen

    - #### ButtonFace

          public static final PresetColor ButtonFace

      The system-defined face color of a 3-D element.

    - #### ButtonHighlight

          public static final PresetColor ButtonHighlight

      The system-defined color that is the highlight color of a 3-D element. This color is applied to parts of a 3-D element that face the light source.

    - #### ButtonShadow

          public static final PresetColor ButtonShadow

      The system-defined color that is the shadow color of a 3-D element. This color is applied to parts of a 3-D element that face away from the light source.

    - #### GradientActiveCaption

          public static final PresetColor GradientActiveCaption

      The system-defined color of the lightest color in the color gradient of an active window's title bar.

    - #### GradientInactiveCaption

          public static final PresetColor GradientInactiveCaption

      The system-defined color of the lightest color in the color gradient of an inactive window's title bar.

    - #### MenuBar

          public static final PresetColor MenuBar

      The system-defined color of the background of a menu bar.

    - #### MenuHighlight

          public static final PresetColor MenuHighlight

      The system-defined color used to highlight menu items when the menu appears as a flat menu.

  - ### Field Detail

    - #### color

          public final java.awt.Color color

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final java.lang.String ooxmlId

  - ### Method Detail

    - #### values

          public static PresetColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresetColor c : PresetColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresetColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOfOoxmlId

          public static PresetColor valueOfOoxmlId(java.lang.String ooxmlId)

    - #### valueOfNativeId

          public static PresetColor valueOfNativeId(int nativeId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.